// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "AudioManager.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

AudioManager::AudioManager(DawnGame *g) : IAudioManager(g) {

}

void AudioManager::init() {
  this->device = alcOpenDevice(nullptr);
  if(!this->device) assertUnreachable();

  this->context = alcCreateContext(this->device, NULL);
  if(!alcMakeContextCurrent(this->context)) assertUnreachable();
}

void AudioManager::update() {

}